﻿<?xml version="1.0" encoding="utf-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="xml" indent="yes" />
  <xsl:template match="/">
    <script>
      <character>
        <xsl:attribute name="name">
          <xsl:value-of select="/script/character/@name" />
        </xsl:attribute>
        <xsl:attribute name="x">
          <xsl:value-of select="/script/character/@x" />
        </xsl:attribute>
        <xsl:attribute name="y">
          <xsl:value-of select="/script/character/@y" />
        </xsl:attribute>
        <xsl:attribute name="width">
          <xsl:value-of select="/script/character/@width" />
        </xsl:attribute>
        <xsl:attribute name="height">
          <xsl:value-of select="/script/character/@height" />
        </xsl:attribute>
        <xsl:copy-of select="/script/character/sequence" />
        <xsl:for-each select="document('http://twitter.com/statuses/user_timeline/7247262.xml')/statuses/status/text">
          <sequence name="Activation">
            <message>
              <xsl:value-of select="." />
            </message>
            <call name="Say" />
          </sequence>
        </xsl:for-each>
      </character>
    </script>
  </xsl:template>
</xsl:stylesheet>